use super::*;
use maud::{
    Markup,
    Render,
};
use maud::DOCTYPE;

/// Posts view page template
mod view
{
    use super::*;

    /// Head for the view page template
    pub fn head() -> Markup
    {
	html! {
	 //TODO   
	}
    }

    pub fn body(state: &state::State) -> Markup
    {
	html! {
	    //TODO
	}
    }
}

#[inline] fn page(head: impl Render, body: impl Render) -> Markup
{
    html! {
	(DOCTYPE)
	    head {
		(head)
	    }
	body {
	    main {
		(body)
	    }
	}
    }
}

/// Post view page
pub fn view(state: &state::State) -> Markup
{
    page(view::head(), view::body(state))
}
